using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TcpClientTester
{
    public partial class ConfigForm : Form
    {
        public ConfigForm()
        {
            InitializeComponent();
            this.numMaxConnection.Value = Properties.Settings.Default.MAX_CLIENT_SOCKET;
            this.numMaxColumn.Value = Properties.Settings.Default.MAX_COLUMN;
            this.numMaxRow.Value = Properties.Settings.Default.MAX_ROW;
            this.numBufferSize.Value = Properties.Settings.Default.BUFFER_SIZE;
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void cmdSave_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.MAX_CLIENT_SOCKET = (int)this.numMaxConnection.Value;
            Properties.Settings.Default.MAX_COLUMN = (int)this.numMaxColumn.Value;
            Properties.Settings.Default.MAX_ROW = (int)this.numMaxRow.Value;
            Properties.Settings.Default.BUFFER_SIZE = (int)this.numBufferSize.Value;
            Properties.Settings.Default.Save();
        }

    }
}